<div class="d-flex flex-column h-100" style="padding: 20px">

    <div class="mb-2 normal_14px_22px_font" style="color: #1c1b1b;">
        Please select the practitioner to filter the Wait List:
    </div>

    <div class="flex-fill d-flex flex-column" style="border: 1px solid #979797;">
        <div style="border-bottom: 1px solid #979797; padding: 5px;">
            <mat-checkbox class="list-checkbox" (change)="toggleAllList($event)"
                          value="ALL">
                <span>Select All</span>
            </mat-checkbox>
        </div>

        <div class="flex-fill" style="overflow: overlay;">
            <div *ngFor="let list of list; let i = index;"
                 style="border-top: 1px solid #979797; padding: 5px;" [class.border-0]="i == 0">
                <mat-checkbox class="list-checkbox" (change)="toggleListItem($event)"
                              [value]="list[valueField]" [checked]="selectedListId.indexOf(list[valueField]) > -1">
                    <span>{{list[titleField]}}</span>
                </mat-checkbox>
            </div>
        </div>
    </div>

</div>
